%define base_name	kde-styles
%define theme_name	comix
%define name		%base_name-%theme_name

Name: %name
Version: 1.3.4
Release: alt1

Group: Graphical desktop/KDE
Summary: Comix style for KDE
License: GPL
Url: http://kde-look.org/content/show.php?content=16028

Source: %theme_name-%version.tar.bz2
Patch0: comix-alt-makefile.patch

# Automatically added by buildreq on Wed May 04 2005
BuildRequires: gcc-c++ kdebase-devel kdelibs-devel libjpeg-devel
BuildRequires: libpng-devel libqt3-devel libstdc++-devel xml-utils
BuildRequires: xorg-x11-devel-static zlib-devel

%description
Another flat style and windeco for KDE 3.x

%prep
%setup -q -n %theme_name-%version
%patch0 -p1

%make -f Makefile.cvs

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"

%__subst 's,\.la,.so,g' configure

%configure \
    --disable-debug \
    --disable-rpath \
    --without-arts

%make_build
	    
%install
%makeinstall

%__mv $RPM_BUILD_ROOT%_datadir/apps/kdisplay/color-schemes/Comix.kcsrc $RPM_BUILD_ROOT%_datadir/apps/kdisplay/color-schemes/comix.kcsrc
%__mv $RPM_BUILD_ROOT%_datadir/apps/kstyle/themes/Comix.themerc $RPM_BUILD_ROOT%_datadir/apps/kstyle/themes/comix.themerc

%files
%doc README AUTHORS COPYING ChangeLog TODO
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_libdir/kde3/plugins/styles/comix.*
%_datadir/apps/kdisplay/color-schemes/comix.kcsrc
%_datadir/apps/kstyle/themes/comix.themerc
%_datadir/apps/kwin/comix.desktop

%changelog
* Mon Jul 04 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.4-alt1
- 1.3.4

* Wed Jun 01 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Wed May 04 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.2-alt1
- 1.3.2
- spec changes && fixes

* Tue Jan 25 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.3-alt1
- build for Sisyphus

